<?php

class Agenda extends CActiveRecord
{
	public $agen_detalle2;
	public $fun_rut2;
	public $agen_detalle3;
	public $fun_rut3;
	public $agen_detalle4;
	public $fun_rut4;
	public $agen_detalle5;
	public $fun_rut5;
	public $agen_detalle6;
	public $fun_rut6;
	public $agen_detalle7;
	public $fun_rut7;
	public $agen_detalle8;
	public $fun_rut8;
	public $agen_detalle9;
	public $fun_rut9;
	public $agen_detalle10;
	public $fun_rut10;

	public function tableName()
	{
		return 'agenda';
	}

	public function rules()
	{
		
		return array(
			array('min_codigo', 'numerical', 'integerOnly'=>true),
			array('agen_detalle', 'length', 'max'=>2000),
			array('fun_rut', 'length', 'max'=>12),
			array('agen_fecha', 'safe'),
			array('agen_codigo, agen_detalle, agen_fecha, min_codigo, fun_rut', 'safe', 'on'=>'search'),
		);
	}

	public function relations()
	{
		return array(
			'funcionario' => array(self::BELONGS_TO, 'funcionario', 'fun_rut'),
		);
	}

	public function attributeLabels()
	{
		return array(
			'agen_codigo' => 'Agen Codigo',
			'agen_detalle' => 'Agenda',
			'agen_fecha' => 'Fecha',
			'min_codigo' => 'Min Codigo',
			'fun_rut' => 'Responsable',
		);
	}

	public function search()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('agen_codigo',$this->agen_codigo);
		$criteria->compare('agen_detalle',$this->agen_detalle,true);
		$criteria->compare('agen_fecha',$this->agen_fecha,true);
		$criteria->compare('min_codigo',$this->min_codigo);
		$criteria->compare('fun_rut',$this->fun_rut,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function getDbConnection()
	{
		return Yii::app()->db_minuta;
	}
	
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
